// Variables
$dark-color: #343a40;
$info-color: #17a2b8;
$info-dark-color: #036074;
$pendency-color: #c8c832;
$pendency-dark-color: #969600;
$without-pendency-color: #96c832;
$without-pendency-dark-color: #649600;
$updated-color: #64C832;
$updated-dark-color: #329600;
$ready-color: #32C832;
$ready-dark-color: #009600; // Tags

body,
html {
  height: 100%;
}
@media(max-height: 100%) {
  body,
  html {
    height: auto;
  }
}

body {
  height: 100%;
  margin: 0;
  padding-top: 60px;
  background: $info-color;
  background: -webkit-linear-gradient($info-color, $info-dark-color);
  background: -o-linear-gradient($info-color, $info-dark-color);
  background: -moz-linear-gradient($info-color, $info-dark-color);
  background: linear-gradient($info-color, $info-dark-color);
  background-repeat: no-repeat;
  background-attachment: fixed;
}

[data-toggle="collapse"] i:before {
  content: "\f146";
}

[data-toggle="collapse"].collapsed i:before {
  content: "\f0fe";
}
// Tagsinput
.bootstrap-tagsinput {
  width: 100%;
  max-width: inherit;
}

.bootstrap-tagsinput input {
  width: inherit;
}

.bootstrap-tagsinput .tag {
  border-radius: 2px;
  padding: 2px;
  background-color: $dark-color;
}
// Datatables

.page-item.active .page-link {
  border-color: $dark-color;
  background-color: $dark-color;
}

.pagination > li > a,
.pagination > li > a:hover,
.pagination > li > span {
  color: $dark-color;
}
// MLP Modifiers

.input-mlp {
  border-radius: 0;
}

.btn-mlp {
  border-radius: 0;
}

.close-mlp {
  color: white;
  text-shadow: 0 1px 0 #000;
}

.close-mlp:hover {
  color: white;
  text-shadow: 0 1px 0 $info-color;
}

.input-group-addon-mlp {
  min-width: 45px;
  justify-content: center;
}
// MLP Uniques

.mlp-bg-pendency {
  background-color: $pendency-color;
}

.mlp-border-pendency {
  border-color: $pendency-color !important;
}

.mlp-text-pendency {
  color: $pendency-color;
}

a.mlp-text-pendency:hover {
  color: $pendency-dark-color;
}

.mlp-bg-without-pendency {
  background-color: $without-pendency-color;
}

.mlp-border-without-pendency {
  border-color: $without-pendency-color !important;
}

.mlp-text-without-pendency {
  color: $without-pendency-color;
}

a.mlp-text-without-pendency:hover {
  color: $without-pendency-dark-color;
}

.mlp-bg-updated {
  background-color: $updated-color;
}

.mlp-border-updated {
  border-color: $updated-color !important;
}

.mlp-text-updated {
  color: $updated-color;
}

a.mlp-text-updated:hover {
  color: $updated-dark-color;
}

.mlp-bg-ready {
  background-color: $ready-color;
}

.mlp-border-ready {
  border-color: $ready-color !important;
}

.mlp-text-ready {
  color: $ready-color;
}

a.mlp-text-ready:hover {
  color: $ready-dark-color;
}

.mlp-box-sm {
  padding: 5px;
  margin: 5px;
}

.mlp-box-md {
  padding: 10px;
  margin: 10px;
}

.mlp-font {
  font-family: fantasy;
}

.mlp-no-hover {
  pointer-events: none;
}

.mlp-select {
  height: auto !important;
}

.mlp-spacing-sm {
  width: 100%;
  height: 5px;
}

.mlp-spacing-md {
  width: 100%;
  height: 10px;
}
